<instrumentationManifest
    xmlns="http://schemas.microsoft.com/win/2004/08/events"
    xmlns:win="http://manifests.microsoft.com/win/2004/08/windows/events"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    >

    <instrumentation>
        <events>
            <provider name="SumoLogic-Provider"
                guid="{5E4A4048-8AF0-48B5-B93B-3885C1D1F6F1}"
                symbol="SumoLogic_Provider"
                resourceFileName="#SUMOJNIDLL#"
                messageFileName="#SUMOJNIDLL#">

                <channels>
                    <importChannel chid="AppChannel"
                             name="Application"
                             symbol="WINEVENT_CHANNEL_GLOBAL_APPLICATION" />
                    
                    <channel chid="SumoChannel"
                             name="SumoLogic-Provider/Operational"
                             type="Operational"
                             symbol="SUMOLOGICOPERATIONAL"
                             isolation="Application"
                             enabled="true" />
                </channels>

                <maps>
                    <valueMap name="DayType">
                        <map value="1" message="$(string.DayType.Weekday)"/>
                        <map value="2" message="$(string.DayType.Weekend)"/>
                    </valueMap>
                    <valueMap name="DaysOfWeek">
                        <map value="0x1" message="$(string.DaysOfWeek.Sunday)"/>
                        <map value="0x2" message="$(string.DaysOfWeek.Monday)"/>
                        <map value="0x4" message="$(string.DaysOfWeek.Tuesday)"/>
                    </valueMap>
                </maps>
                
                <templates>
                    <template tid="simpleTemplate">
                        <data name="LogMessage" inType="win:UnicodeString"/>
                    </template>
                    <template tid="testArrayTemplate">
                        <data name="LogMessage" inType="win:UnicodeString"/>
                        
                        <!-- fixed length int16 array -->
                        <data name="TemperatureArray" inType="win:UInt16" count="3"/>
                        
                        <!-- variable length structure array -->
                        <data name="DayArrayCount" inType="win:UInt32" />
                        <struct name="DayArray" count="DayArrayCount" >
                            <data name="Day" inType="win:UInt32" map="DaysOfWeek"/>
                            <data name="Digit" inType="win:UInt16" />
                            <data name="Type" inType="win:UInt32" map="DayType"/>
                        </struct>

                        <UserData>
                            <EventData xmlns="DayNamespace">
                                <LogMessage> %1 </LogMessage>
                                <TemperatureArray> %2 </TemperatureArray>
                                <DayArrayCount> %3 </DayArrayCount>
                                <DayArray> %4 </DayArray>
                            </EventData>
                        </UserData>
                       
                    </template>
                </templates>

                <events>
                    <event value="1"
                        level="win:Informational"
                        template="simpleTemplate"
                        channel="SumoChannel"
                        symbol="SUMO_INFO_EVENT"
                        message ="$(string.Event.SumoEvent)"/>
                    <event value="2"
                        level="win:Error"
                        template="simpleTemplate"
                        channel="SumoChannel"
                        symbol="SUMO_ERROR_EVENT"
                        message ="$(string.Event.SumoEvent)"/>
                    <event value="3"
                        level="win:Verbose"
                        template="simpleTemplate"
                        channel="SumoChannel"
                        symbol="SUMO_VERBOSE_EVENT"
                        message ="$(string.Event.SumoEvent)" />
                    
                    <!-- this event is for testing old code writing events to Application channel-->
                    <event value="4"
                        level="win:Informational"
                        template="simpleTemplate"
                        channel="AppChannel"
                        symbol="APP_SIMPLE_EVENT"
                        message ="$(string.Event.SumoEvent)"/>

                    <event value="5"
                        level="win:Informational"
                        template="testArrayTemplate"
                        channel="AppChannel"
                        symbol="APP_ARRAY_EVENT"
                        message ="$(string.Event.SumoEventForArray)"/>
                    
                    <event value="6"
                        level="win:Informational"
                        template="testArrayTemplate"
                        channel="SumoChannel"
                        symbol="SUMO_ARRAY_EVENT"
                        message ="$(string.Event.SumoEventForArray)"/>
                </events>
            </provider>
        </events>
    </instrumentation>

    <localization>
        <resources culture="en-US">
            <stringTable>
                <string id="Event.SumoEvent" value="%1"/>
                
                <!-- SumoEventForArray looks dup to SumoEvent but it is required, otherwise
                    mc.exe error : Two or more events logging to legacy 'System', 'Security'
                    or 'Application' channels are referencing the same message string 
                    '$(string.Event.SumoEvent)'. Give each such event a unique message string.
                -->
                <string id="Event.SumoEventForArray" value="%1"/>

                <string id="DayType.Weekday" value="Weekday"/>
                <string id="DayType.Weekend" value="Weekend"/>

                <string id="DaysOfWeek.Sunday" value="Sunday"/>
                <string id="DaysOfWeek.Monday" value="Monday"/>
                <string id="DaysOfWeek.Tuesday" value="Tuesday"/>
            </stringTable>
        </resources>
    </localization>

</instrumentationManifest>


