$computername = "$env:computername.$env:userdnsdomain"

$result = $false

$isEarlyWin = $false
if ([environment]::osversion.version.major -le 5)
{
	write-output "Using old netsh calls since this is <= 5.2 (Win2003, XP, 2000) build ..."
	$isEarlyWin = $true
}

write-output "Enable Firewall Settings for WMI ..."

<# *********************** ENABLE WMI FIREWALL SETTING **************************** #>
$ruleName = "Windows Management Instrumentation (WMI-Out)"
try {
  if ($isEarlyWin -eq $true)
  {
      $out = netsh firewall set service RemoteAdmin enable
      write-output $out
      $out = netsh firewall add portopening protocol=tcp port=135 name=DCOM_TCP135
      write-output $out
      $out = netsh firewall add allowedprogram program=%windir%\system32\wbem\unsecapp.exe name=WMI
      write-output $out
      $out = netsh firewall add allowedprogram program=%windir%\system32\dllhost.exe name=Dllhost
      write-output $out
  }
  else
  {
      $out = netsh advfirewall firewall set rule name=$ruleName new enable=Yes
      write-output $out
  }
} catch [Exception] {
  write-output "Failed to enable $ruleName on $computername." -foreground "red"
  write-output $_.Exception.TOString()
  write-output $false
  return
}

<# *********************** ENABLE RPC FIREWALL TRAFFIC **************************** #>
$profile = "domain"
$ruleName = "SumoLogicRPC"
try {
  if ($isEarlyWin -eq $true)
  {
      $out = "Don't need to do anything extra to enable RPC firewall since it is based on allowed program settings."
  }
  else
  {
      $out = netsh advfirewall firewall add rule name=$ruleName dir=in profile=any localip=any remoteip=any localport=rpc remotePort=any protocol=tcp action=allow
  }
  write-output $out
} catch [Exception] {
  write-output "Failed to enable $ruleName on $computername."
  write-output $_.Exception.TOString()
  write-output $false
  return
}

write-output $true
$result = $true

